Bug 1414252 - Segfault on startup
Summary: Segfault on startup
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gitg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 07:28 UTC by Sebastian Bergmann
Modified: 2017-12-12 10:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:52:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Sebastian Bergmann 2017-01-18 07:28:03 UTC
$ git clone https://github.com/sebastianbergmann/phpunit.git

$ cd phpunit

$ gdb gitg
GNU gdb (GDB) Fedora 7.12-36.fc25
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from gitg...Reading symbols from /usr/lib/debug/usr/bin/gitg.debug...done.
done.
(gdb) r
Starting program: /usr/bin/gitg 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffde49a700 (LWP 6311)]
[New Thread 0x7fffddc99700 (LWP 6312)]
[New Thread 0x7fffd7df2700 (LWP 6313)]
[New Thread 0x7fffd75f1700 (LWP 6314)]
[New Thread 0x7fffd4d9c700 (LWP 6315)]
[New Thread 0x7fffc3fff700 (LWP 6316)]

Thread 6 "gitg" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffd4d9c700 (LWP 6315)]
gitg_lanes_collapse_lane (index=5, container=0x5555564beb00, self=0x555555c61cd0) at /home/jesse/dev/gitg/libgitg/gitg-lanes.vala:343
343	/home/jesse/dev/gitg/libgitg/gitg-lanes.vala: No such file or directory.
(gdb) bt
#0  gitg_lanes_collapse_lane (index=5, container=0x5555564beb00, self=0x555555c61cd0) at /home/jesse/dev/gitg/libgitg/gitg-lanes.vala:343
#1  gitg_lanes_collapse_lanes (self=0x555555c61cd0) at /home/jesse/dev/gitg/libgitg/gitg-lanes.vala:388
#2  gitg_lanes_next (self=0x555555c61cd0, next=next@entry=0x55555645ef00, lanes=lanes@entry=0x7fffd4d9bb40, nextpos=nextpos@entry=0x7fffd4d9bb34) at /home/jesse/dev/gitg/libgitg/gitg-lanes.vala:164
#3  0x00007ffff7b6bbfb in __lambda34_ (_data4_=0x555555c4f710) at /home/jesse/dev/gitg/libgitg/gitg-commit-model.vala:408
#4  ___lambda34__gthread_func (self=0x555555c4f710) at gitg-commit-model.c:2523
#5  0x00007ffff386cb03 in g_thread_proxy (data=0x7fffd0004630) at gthread.c:784
#6  0x00007ffff32db6ca in start_thread (arg=0x7fffd4d9c700) at pthread_create.c:333
#7  0x00007ffff3015f7f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105

Comment 1 Christian Stadelmann 2017-06-06 12:37:02 UTC
This bug is a duplicate of #1398592.

Comment 2 Fedora End Of Life 2017-11-16 19:29:13 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:52:33 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.